JSONBuilder (Grails 3.1.1)
Date: 2016-02-04

Package: grails.web

## [Groovy] Class JSONBuilder

- grails.web.JSONBuilder

- Builds JSON data. Replaces grails.util.JSonBuilder.

  deprecated:
    Use groovy.json.StreamingJsonBuilder instead
  Authors:
    Marc Palmer
    Graeme Rocher
  Since:
    1.2

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static java.lang.Object` | `NODE_ELEMENT`
    `java.lang.Object` | `current`
    `java.lang.Object` | `nestingStack`
    `java.lang.Object` | `root`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.util.List` | `array(groovy.lang.Closure c)`
    `JSON` | `build(groovy.lang.Closure c)`
    `java.lang.Object` | `getProperty(java.lang.String propName)`
    `java.lang.Object` | `invokeMethod(java.lang.String methodName)`
    `java.lang.Object` | `invokeMethod(java.lang.String methodName, java.lang.Object args)`
    `void` | `setProperty(java.lang.String propName, java.lang.Object value)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### static java.lang.Object NODE_ELEMENT

    - #### java.lang.Object current

    - #### java.lang.Object nestingStack

    - #### java.lang.Object root

  - ### Method Detail

    - #### java.util.List array(groovy.lang.Closure c)

    - #### JSON build(groovy.lang.Closure c)

    - #### java.lang.Object getProperty(java.lang.String propName)

    - #### java.lang.Object invokeMethod(java.lang.String methodName)

    - #### java.lang.Object invokeMethod(java.lang.String methodName, java.lang.Object args)

    - #### void setProperty(java.lang.String propName, java.lang.Object value)